Subject: Re: bug#78737: sit-for behavior changes when byte-compiled

From: Stefan Monnier <[email-masked]>
Date: Fri, 13 Jun 2025 14:07:20 -0400

> My current understanding is that what you propose will cause some
> (most) programs to be interruptible with a single C-g, while some (in
> particular those which call read-event) will need two or more C-g to
> be interrupted.  Is that correct?

I think so, tho only for *some* of those which call `read-event`.

> If this is correct, then we need to decide whether this inconsistency
> (one C-g vs several) is tolerable.

That inconsistency already exists in various places, such as if you use
`read-key`.  I think what we need to decide is if the resulting overall
behavior is better (e.g. easier to describe and less error prone), and
if so, whether it's worth the incompatibility.

Of course, we could also make the change more backward-compatible by
renaming `read-event` to some new name and (re)defining `read-event` on
top of that new function.

        Stefan